datablock TSShapeConstructor(CrownVicPoliceDTS)
{
	baseShape  = "./shapes/CrownVicPolice.dts";
	sequence0  = "./shapes/steering.dsq steering";
	sequence1  = "./shapes/front00.dsq front00";
	sequence2  = "./shapes/front01.dsq front01";
	sequence3  = "./shapes/front10.dsq front10";
	sequence4  = "./shapes/front11.dsq front11";
	sequence5  = "./shapes/rear00.dsq rear00";
	sequence6  = "./shapes/rear01.dsq rear01";
	sequence7  = "./shapes/rear10.dsq rear10";
	sequence8  = "./shapes/rear11.dsq rear11";
	sequence9  = "./shapes/ht00.dsq ht00";
	sequence10  = "./shapes/ht01.dsq ht01";
	sequence11  = "./shapes/ht10.dsq ht10";
	sequence12  = "./shapes/ht11.dsq ht11";
};

datablock WheeledVehicleData(CrownVicPoliceVehicle : CrownVicPIvehicle)
{
  	uiName = "Crown Vic Police";

  	shapeFile = "./shapes/CrownVicPolice.dts";

	maxWheelSpeed = 65;
	engineTorque = 1912;
	engineBrake = 956;
	massCenter = "0 0 0.1";
	mass = 325;

	paintableNodes = "bodyb hood trunkp roof door0a door1a door2a door3a" SPC
		"stripe door0stripe door1stripe door2stripe door3stripe" SPC
		"door0panela door1panela door2panela door3panela trunka rearquartera fenderstripea" SPC
		"door0panelb door1panelb door2panelb door3panelb trunkb rearquarterb" SPC
		"door0panelc door1panelc door2panelc door3panelc trunkc fenderstripeb door0c door1c door2c door3c" SPC
		"door0panelD door1panelD door2panelD door3panelD trunkd rearquarterd";

	groupAnodes = "door0panela door1panela door2panela door3panela trunka rearquartera fenderstripea";
	
	groupBnodes = "door0panelb door1panelb door2panelb door3panelb trunkb rearquarterb fenderstripea";
	groupBnodesColor = "door0a door1a door2a door3a door0panelb door1panelb door2panelb door3panelb" SPC
		"door0stripe door1stripe door2stripe door3stripe roof";

	groupCnodes = "door0panelc door1panelc door2panelc door3panelc trunkc rearquarterb fenderstripeb door0c door1c door2c door3c";
	groupCnodesColor = "fenderstripeb door0panelc door1panelc door2panelc door3panelc rearquarterb";
	
	groupDnodes = "door0panelD door1panelD door2panelD door3panelD trunkd rearquarterd fenderstripeb";
	groupDnodesColor = "stripe door0stripe door1stripe door2stripe door3stripe";
	
	unpaintableNodes = "body door0 door1 door2 door3 steeringwheel trunk pushbar" SPC
		"headlightAR0 headlightAL0 headlightBR0 headlightBL0 reverseL0 reverseR0 brakeC0 brakeL0 brakeR0" SPC
		"Lcommon Ltop Lwin";

	lightNodes = "LcommonA LcommonAF LcommonB LcommonBF LtopAltA LtopAltB LtopAltAF LtopAltBF LwinAltA LwinAltB LwinAltAF LwinAltBF" SPC
		"LtopDual0 LtopDual1 LtopDual2 LtopDual3 LtopDual0F LtopDual1F LtopDual2F LtopDual3F" SPC
		"LwinDual0 LwinDual1 LwinDual2 LwinDual3 LwinDual0F LwinDual1F LwinDual2F LwinDual3F";
};