datablock WheeledVehicleTire(CrownVicLXTire)
{
	shapeFile = "./shapes/wheel1.dts";
	
	mass = 10;
	radius = 1;
	staticFriction = 3;
	kineticFriction = 3;
	restitution = 0.5;	

	lateralForce = 1000;				//3000;
	lateralDamping = 700;			//4000;
	lateralRelaxation = 0.01;		//0.01;

	longitudinalForce = 14000;
	longitudinalDamping = 1400;
	longitudinalRelaxation = 0.01;
};

datablock WheeledVehicleTire(CrownVicLXRearTire : CrownVicLXtire)
{
	staticFriction = 2.2;
	kineticFriction = 1.6;
	lateralForce = 1000;
	lateralRelaxation = 0.02;
};

datablock WheeledVehicleTire(CrownVicSteelTire : CrownVicLXtire)
{
	shapeFile = "./shapes/wheelSteel.dts";
};

datablock WheeledVehicleTire(CrownVicSteelRearTire : CrownVicLXRearTire)
{
	shapeFile = "./shapes/wheelSteel.dts";
};

datablock WheeledVehicleSpring(CrownVicLXspring)
{
	length = 0.35;
	force = 3500;
	damping = 600;
	antiSwayForce = 0;
};

datablock WheeledVehicleSpring(CrownVicheavySpring)
{
	length = 0.35;
	force = 5000;
	damping = 1200;
	antiSwayForce = 0;
};