datablock TSShapeConstructor(CrownVicTaxiDTS)
{
	baseShape  = "./shapes/CrownVicTaxi.dts";
	sequence0  = "./shapes/steering.dsq steering";
	sequence1  = "./shapes/front00.dsq front00";
	sequence2  = "./shapes/front01.dsq front01";
	sequence3  = "./shapes/front10.dsq front10";
	sequence4  = "./shapes/front11.dsq front11";
	sequence5  = "./shapes/rear00.dsq rear00";
	sequence6  = "./shapes/rear01.dsq rear01";
	sequence7  = "./shapes/rear10.dsq rear10";
	sequence8  = "./shapes/rear11.dsq rear11";
	sequence9  = "./shapes/ht00.dsq ht00";
	sequence10  = "./shapes/ht01.dsq ht01";
	sequence11  = "./shapes/ht10.dsq ht10";
	sequence12  = "./shapes/ht11.dsq ht11";
};

datablock WheeledVehicleData(CrownVicTaxiVehicle : CrownVicLXvehicle)
{
	uiName = "Crown Vic Taxi";
	shapeFile = "./shapes/CrownVicTaxi.dts";
	defaultTire = CrownVicSteelTire;
	defaultSpring = CrownVicheavySpring;
	mass = 325;

	randomFactoryColorOnAdd = 0;
	randomInteriorColorOnAdd = 0;
	
	paintableNodes = "bodyp bodyrearp bumper0 bumper1 fender0 fender1 hood grillp" SPC
		"door0PIp door1PIp door2PIp door3PIp trunkPIp" SPC
		"bodyp door0PIp door1PIp door2PIp door3PIp";
	
	paintableNodesMid = "bodyp door0PIp door1PIp door2PIp door3PIp";
		
	interiorNodes = "interior interiordash steeringwheel door0interior door1interior door2interior door3interior";
	
	unpaintableNodes = "headlight headlightAR0 headlightAL0 headlightBR0 headlightBL0 engine" SPC
		"steeringwheelNP body dash door0PI door1PI door2PI door3PI trunkPI grillPI" SPC
		"brakeR0 brakeL0 brakeC0 reverseR0 reverseL0 toplightA toplightB" SPC
		"toplightA0 toplightA1 toplightB0 toplightB1";

	numAdverts = 10;
	
	interiorColor[1] = "3F3F3F";
};