function CrownVicTaxivehicle::VehicleEditHelper(%this, %veh, %c, %arg)
{	
	if(%arg $= "hood")
	{
		if(isObject(%c.player) && %c.player.isMounted() && %c.player.getMountNode() == 0)
			return CrownVicTaxivehicle.hood(%veh, %c, 2);
		else
			return %c.chatMessage("\c3You must be in the driver's seat to pop the hood.");
	}
	
	if(getTrustLevel(%c, %veh) < 2)
		return %c.chatMessage("\c3You can't change a vehicle without the owner's trust.");
	
	%veh.speed = vectorLen(%veh.getVelocity());
	if(%veh.speed > 2)	
		return %c.chatMessage("\c3The vehicle can't be customized while in motion.");
	
	if(%arg $= "B")
	{
		if(%veh.bumperColor == 1)
		{
			%veh.bumperColor = 0;
			%veh.setNodeColor(bumper0, "1.0 0.65 0 1");
			%veh.setNodeColor(bumper1, "1.0 0.65 0 1");
		}
		else
		{
			%veh.bumperColor = 1;
			%veh.setNodeColor(bumper0, "0.07 0.07 0.07 1");
			%veh.setNodeColor(bumper1, "0.07 0.07 0.07 1");
		}
		return;
	}
	
	else if(%arg $= "T")
	{
		if(%veh.toplightType == 1)
		{
			%veh.toplightType = 0;
			%veh.unhideNode(toplightA);
			%veh.hidenode(advert @ %veh.advert);
			%veh.hideNode(toplightA1);
			%veh.hidenode(toplightB);
			%veh.hidenode(toplightB0);
			%veh.hidenode(toplightB1);
			if(%veh.hasDriver)
			{
				%veh.unhideNode(toplightA1);
			}
			else
			{
				%veh.unhideNode(toplightA0);
			}
		}
		else
		{
			%veh.toplightType = 1;
			%veh.unhidenode(advert @ %veh.advert);
			%veh.unhidenode(toplightB);
			%veh.hideNode(toplightB1);
			%veh.hidenode(toplightA);
			%veh.hidenode(toplightA0);
			%veh.hidenode(toplightA1);
			if(%veh.hasDriver)
			{
				%veh.unhideNode(toplightB1);
			}
			else
			{
				%veh.unhideNode(toplightB0);
			}
		}
		return;
	}
	
	
	
	%c.chatMessage("\c8-----<color:FFBB00>Crown Victoria Taxi \c8- \c6Vehicle Edit Helper\c8-----");
	%c.chatMessage("    <color:888888>Usage: <color:FFFF00>/veh __ \c6with one of the words below.");
	%c.chatMessage("        <color:FFFF00>B \c8- \c6Repaint bumpers");
	%c.chatMessage("        <color:FFFF00>T \c8- \c6Change the toplight");
}