function CrownVicPolicevehicle::onDriverEnter(%this, %veh)
{	
	CrownVicLXvehicle::onDriverEnter(%this, %veh);
}

function CrownVicPolicevehicle::onDriverLeave(%this, %veh)
{		
	CrownVicLXvehicle::onDriverLeave(%this, %veh);
}

function CrownVicPolicevehicle::onRemove(%this, %veh)
{
	%veh.removeMountedLightBot(4);
	%veh.removeMountedLightBot(7);
}

function CrownVicPolicevehicle::SpeedCheck(%this, %veh)
{
	CrownVicLXvehicle::SpeedCheck(%this, %veh);
}

package CrownVicPoliceOnAddPackage
{
	function CrownVicPolicevehicle::onAdd(%this, %veh)
	{
		Parent::onAdd(%this, %veh);
		%veh.spawnMountedLightBot(4);
		%veh.spawnMountedLightBot(7);
		
		%rearTire = strReplace(%this.defaultTire, "Tire", "RearTire");
		%veh.setWheelTire(2, %rearTire);
		%veh.setWheelTire(3, %rearTire);
		
		%veh.hidenode("ALL");
		
		unhideNodeString(%veh, %this.paintablenodes SPC %this.unpaintableNodes);
		unhideNodeString(%veh, %this.windows["ext", "add"] SPC %this.windows["ext", "sub"] SPC %this.windows["int", "add"] SPC %this.windows["int", "sub"]);
		colorNodeString(%veh, %this.unpaintableNodes, "0 1 0 1");
		colorNodeString(%veh, %this.lightnodes, "0 1 0 1");
		
		colorNodeString(%veh, "headlightAR1 headlightAL1", "1 1 0.9 1");
		colorNodeString(%veh, "headlightBR1 headlightBL1", "1 0.66 0 1");
		colorNodeString(%veh, "reverseR0 reverseL0", "0.8 0.8 0.8 1");
		colorNodeString(%veh, "reverseR1 reverseL1", "1 1 0.9 1");
		
		%veh.BrakeColor1 = "0.35 0 0 1";
		%veh.BrakeColor2 = "0.55 0 0 1";
		%veh.BrakeColor3 = "1.00 0.16 0 1";

		colorNodeString(%veh, "brakeR0 brakeL0 brakeC0", %veh.brakeColor1);
		colorNodeString(%veh, "brakeR1 brakeL1", %veh.brakeColor2);
		%veh.setNodeColor("brakeC1",%veh.brakeColor3);

		%veh.hideNode(dialsg);
		for(%i = 0; %i <= 13; %i++)
		{
			%veh.setNodeColor(speedo @ %i, "0 1 0 1");
			%veh.setNodeColor(speedo @ %i @ g, "0 1 0 1");
		}
		
		colorNodeString(%veh, %this.windows["ext", "add"], %this.windowcolor["ext", "add"]);
		colorNodeString(%veh, %this.windows["ext", "sub"], %this.windowcolor["ext", "sub"]);
		colorNodeString(%veh, %this.windows["int", "add"], %this.windowcolor["int", "add"]);
		colorNodeString(%veh, %this.windows["int", "sub"], %this.windowcolor["int", "sub"]);
		
		%veh.setNodeColor(headlightcover, "0.1 0.16 0.2 1");

		%veh.hideNode(Lwin);
		%veh.lightbartype = "top";

		hideNodeString(%veh, %this.groupAnodes);
		hideNodeString(%veh, %this.groupCnodes);
		hideNodeString(%veh, %this.groupDnodes);
		unhideNodeString(%veh, %this.groupBnodes);
		%veh.setNodeColor("ALL", "0.1 0.1 0.1 1");
		%veh.prohibitPaint = 1;
		colorNodeString(%veh, %this.groupBnodesColor, "1 1 1 1");
	}
};
activatepackage(CrownVicPoliceOnAddPackage);