function setCrownVicPoliceSiren(%veh, %select)	//Controls change of sirens
{
	if(%select > 10)
	{
		%select = %select - 10;
		%veh.triggerHeld = 1;
	}
	
	if(%select == %veh.currentSiren) %select = 0;
	//If selected siren is the same as currently active siren, turn it off
	
	if(%select > 1 && %select < 5 && %veh.lightPatternActive == 0)
	{
		%veh.lightPatternActive = 1;
		CrownVicPoliceVehicle.loopLights(%veh);	//turn on the lights when one of the sirens is activated
	}
	
	switch(%select)
	{
		case 0:
			%veh.stopAudio(0);
		case 1:
			%veh.playAudio(0, CrownVicPoliceHornLoop);
		case 2:
			%veh.playAudio(0, CrownVicPoliceWail);
		case 3:
			%veh.playAudio(0, CrownVicPoliceYelp);
		case 4:
			%veh.playAudio(0, CrownVicPolicePhaser);
		case 5:
			%veh.playAudio(0, CrownVicPoliceHornLoop);
	}
	
	//If the previous sound was a horn, play sound of horn reverb
	if(%veh.currentSiren == 1 || %veh.currentSiren == 5)	%veh.playAudio(1, CrownVicPoliceHornFade);
	//Can't really do this with sirens since they could be on many different tones when interrupted
	
	%veh.currentSiren = %select;
	
	return;
}