function CrownVicLXvehicle::onTrigger(%this, %veh, %slot, %val)	//Braking
{
	if(%val)
	{	//brake on
		%veh.braking = 1;
		%veh.setNodeColor(brakeR1, %veh.BrakeColor3);
		%veh.setNodeColor(brakeL1, %veh.BrakeColor3);
		%veh.hidenode(brakeC0);
		%veh.unhidenode(brakeC1);
		// %veh.unhidenode(brakeONflare);
		
		%veh.unhidenode(brakeR1);
		%veh.unhidenode(brakeL1);
		%veh.hidenode(brakeR0);
		%veh.hidenode(brakeL0);
	}
	else
	{	//brake off
		%veh.braking = 0;
		%this.headlights(%veh, "restore");
		%veh.setNodeColor(brakeR1, %veh.BrakeColor2);
		%veh.setNodeColor(brakeL1, %veh.BrakeColor2);
		%veh.unhidenode(brakeC0);
		%veh.hidenode(brakeC1);
		// %veh.hidenode(brakeONflare);
	}
}

function CrownVicLXvehicle::headlights(%this, %veh, %directive, %selection)
{
	switch$(%directive)
	{
		case "next":
		%setlights = %veh.headlightState + 1;
		%veh.headlightState = %veh.headlightState + 1;
		
		case "restore":
		%setlights = %veh.headlightState;
		
		case "select":
		%setlights = %selection;
		%veh.headlightState = %selection;
		
		case "off":
		%setlights = 0;
	}
	
	if(%setlights > 2)
	{
		%setlights = 0;
		%veh.headlightState = 0;
	}
	
	switch(%setlights)
	{
		case 0:		//Headlights off
			%veh.mountedLightBot[4].setMountedLight(none);
			%veh.unhidenode(headlightAR0);
			%veh.unhidenode(headlightAL0);
			%veh.unhidenode(headlightBR0);
			%veh.unhidenode(headlightBL0);

			%veh.hidenode(headlightAR1);
			%veh.hidenode(headlightAL1);
			%veh.hidenode(headlightBR1);
			%veh.hidenode(headlightBL1);

			%veh.unhidenode(dials);
			%veh.hidenode(dialsg);
			%veh.unhidenode(speedo @ %veh.speedoSpeed);
			%veh.hidenode(speedo @ %veh.speedoSpeed @ g);
			
			if(!%veh.braking)
			{
				%veh.hidenode(brakeR1);
				%veh.hidenode(brakeL1);
				%veh.unhidenode(brakeR0);
				%veh.unhidenode(brakeL0);
			}
		
		// case 1:		//Parking lights
		// 	%veh.unhidenode(headlightAR0);
		// 	%veh.unhidenode(headlightAL0);
		// 	%veh.hidenode(headlightBR0);
		// 	%veh.hidenode(headlightBL0);

		// 	%veh.hidenode(headlightAR1);
		// 	%veh.hidenode(headlightAL1);
		// 	%veh.unhidenode(headlightBR1);
		// 	%veh.unhidenode(headlightBL1);
			
		// 	%veh.unhidenode(brakeR1);
		// 	%veh.unhidenode(brakeL1);
		// 	%veh.hidenode(brakeR0);
		// 	%veh.hidenode(brakeL0);

		// 	%veh.unhidenode(dials);
		// 	%veh.hidenode(dialsg);
		// 	%veh.unhidenode(speedo @ %veh.speedoSpeed);
		// 	%veh.hidenode(speedo @ %veh.speedoSpeed @ g);
		
		case 1:		//Daytime-running lights
			%veh.hidenode(headlightAR0);
			%veh.hidenode(headlightAL0);
			%veh.hidenode(headlightBR0);
			%veh.hidenode(headlightBL0);

			%veh.unhidenode(headlightAR1);
			%veh.unhidenode(headlightAL1);
			%veh.unhidenode(headlightBR1);
			%veh.unhidenode(headlightBL1);
			
			%veh.unhidenode(brakeR1);
			%veh.unhidenode(brakeL1);
			%veh.hidenode(brakeR0);
			%veh.hidenode(brakeL0);

			%veh.hidenode(dials);
			%veh.unhidenode(dialsg);
			%veh.hidenode(speedo @ %veh.speedoSpeed);
			%veh.unhidenode(speedo @ %veh.speedoSpeed @ g);
		
		case 2:		//Full lights including light source
			%veh.mountedLightBot[4].setMountedLight(CrownVicHeadLight);
			
			%veh.hidenode(headlightAR0);
			%veh.hidenode(headlightAL0);
			%veh.hidenode(headlightBR0);
			%veh.hidenode(headlightBL0);
			
			%veh.unhidenode(headlightAR1);
			%veh.unhidenode(headlightAL1);
			%veh.unhidenode(headlightBR1);
			%veh.unhidenode(headlightBL1);
			
			%veh.unhidenode(brakeR1);
			%veh.unhidenode(brakeL1);
			%veh.hidenode(brakeR0);
			%veh.hidenode(brakeL0);

			%veh.hidenode(dials);
			%veh.unhidenode(dialsg);
			%veh.hidenode(speedo @ %veh.speedoSpeed);
			%veh.unhidenode(speedo @ %veh.speedoSpeed @ g);
	}
}