function CrownVicLXvehicle::VehicleEditHelper(%this, %veh, %c, %arg)
{	
	if(%arg $= "hood")
	{
		if(isObject(%c.player) && %c.player.isMounted() && %c.player.getMountNode() == 0)
			return CrownVicLXvehicle.hood(%veh, %c, 2);
		else
			return %c.chatMessage("\c3You must be in the driver's seat to pop the hood.");
	}
	
	if(getTrustLevel(%c, %veh) < 2)
		return %c.chatMessage("\c3You can't change a vehicle without the owner's trust.");
	
	%veh.speed = vectorLen(%veh.getVelocity());
	if(%veh.speed > 2)	
		return %c.chatMessage("\c3The vehicle can't be customized while in motion.");
	
	%alpha = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
	
	if(%arg $= "color")
	{
		%c.chatMessage("<color:00487F>-----\c6Crown Vic Factory Paint<color:00487F>-----");
		%c.chatMessage("    <color:888888>Usage: \c4/veh _ \c6with by one of the numbers below. e.g. '\c4/veh 1\c6'");
		
		for(%i = 1; %i <= %this.numFactoryColors; %i++)
		{
			%c.chatMessage("        \c6" @ %i @ ":   <color:" @ getWord(%this.factoryColor[%i], 0) @ ">[" @ getWords(%this.factoryColor[%i], 1) @ "]");
		}
		return;
	}
	if(%arg $= "interior")
	{
		%c.chatMessage("<color:00487F>-----\c6Crown Vic Interior Colors<color:00487F>-----");
		%c.chatMessage("    <color:888888>Usage: \c4/veh _ \c6with one of the letters below. e.g. '\c4/veh A\c6'");	
		
		for(%i = 1; %i <= %this.numInteriorColors; %i++)
		{
			%c.chatMessage("        \c6" @ getSubStr(%alpha, %i-1, 1) @ ":   <color:" @ getWord(%this.interiorColor[%i], 0) @ ">[" @ getWords(%this.interiorColor[%i], 1) @ "]");
		}
		return;
	}
	
	if(strIsNum(%arg))
	{
		if(%arg <= %this.numFactoryColors && %arg > 0)
		{
		return %veh.setNodeColor("ALL", getColorF(getWord(%this.factoryColor[%arg], 0)));
		}
		
		else
		{
			return %c.chatMessage("\c3That is not a valid color.");
		}
	}
	
	else if(strLen(%arg) == 1)
	{
		%selection = stripos(%alpha, %arg) + 1;
		if(%selection <= %this.numInteriorColors && %selection > 0)
		{
			return colorNodeString(%veh, %this.interiorNodes, getColorF(getWord(%this.interiorColor[%selection], 0)));
		}
	}
	
	
	
	%c.chatMessage("<color:5098FF>-----\c6Crown Vic LX \c8- \c6Vehicle Edit Helper<color:5098FF>-----");
	%c.chatMessage("    <color:888888>Usage: \c4/veh __ \c6with one of the words below.");
	%c.chatMessage("        \c4Color \c8- \c6View factory paint colors.");
	%c.chatMessage("        \c4Interior \c8- \c6View interior colors.");
	if(isObject(%c.player) && %c.player.isMounted() && %c.player.getMountNode() == 0)
		%c.chatMessage("        \c4Hood \c8- \c6Pop the hood.");
}