function CrownVicPIvehicle::VehicleEditHelper(%this, %veh, %c, %arg)
{	
	if(%arg $= "hood")
	{
		if(isObject(%c.player) && %c.player.isMounted() && %c.player.getMountNode() == 0)
			return CrownVicPIvehicle.hood(%veh, %c, 2);
		else
			return %c.chatMessage("\c3You must be in the driver's seat to pop the hood.");
	}
	
	if(getTrustLevel(%c, %veh) < 2)
		return %c.chatMessage("\c3You can't change a vehicle without the owner's trust.");
	
	%veh.speed = vectorLen(%veh.getVelocity());
	if(%veh.speed > 2)	
		return %c.chatMessage("\c3The vehicle can't be customized while in motion.");
	
	if(%arg $= "color")
	{
		if(%veh.prohibitPaint)
		{
			return %c.chatMessage("\c3The vehicle can't be painted with this livery.");
		}
		%c.chatMessage("<color:00487F>-----\c7Crown Vic P71 Factory Paint<color:00487F>-----");
		%c.chatMessage("    <color:888888>Usage: <color:5555FF>/veh _ \c6with by one of the numbers below. e.g. '<color:5555FF>/veh 1\c6'");
		
		for(%i = 1; %i <= %this.numFactoryColors; %i++)
		{
			%c.chatMessage("        \c6" @ %i @ ":   <color:" @ getWord(%this.factoryColor[%i], 0) @ ">[" @ getWords(%this.factoryColor[%i], 1) @ "]");
		}
		return;
	}

	if(%arg $= "options")
	{
		%c.chatMessage("<color:00487F>-----\c7Crown Vic P71 Options<color:00487F>-----");
		%c.chatMessage("    <color:888888>Usage: <color:5555FF>/veh _ \c6with by one of the options below. e.g. '<color:5555FF>/veh p\c6'");
		%c.chatMessage("        <color:5555FF>P \c8- \c6 Push bar");
		return;
	}

	if(%arg $= "livery")
	{
		%c.chatMessage("<color:00487F>-----\c7Crown Vic P71 Liveries<color:00487F>-----");
		%c.chatMessage("    <color:888888>Usage: <color:5555FF>/veh _ \c6with by one of the numbers below. e.g. '<color:5555FF>/veh none\c6'");
		%c.chatMessage("        \c6None \c8- \c6 Return it to its original, paintable state.");
		%c.chatMessage("        \c8B\c6W \c8- \c6 Black and white. Make it look even more like an ex-cop car.");

		return;
	}
	
	if(strIsNum(%arg))
	{
		if(%veh.prohibitPaint)
		{
			return %c.chatMessage("\c3The vehicle can't be painted with this livery.");
		}
		
		if(%arg <= %this.numFactoryColors && %arg > 0)
		{
			return %veh.setNodeColor("ALL", getColorF(getWord(%this.factoryColor[%arg], 0)));
		}
		
		else
		{
			return %c.chatMessage("\c3That is not a valid color.");
		}
	}

	else
	{
		switch$(%arg)
		{
			case "None":
				%veh.prohibitPaint = 0;
				%veh.setNodeColor("ALL", "1 1 1 1");
				return;

			case "BW":
				%veh.setNodeColor("ALL", "0.1 0.1 0.1 1");
				colorNodeString(%veh, %this.paintableNodesMid, "1 1 1 1");
				%veh.prohibitPaint = 1;
				return;

			case "P":
				if(%veh.pushbar)
				{
					%veh.pushbar = 0;
					%veh.hideNode(pushbar);
				}
				else
				{
					%veh.pushbar = 1;
					%veh.unhideNode(pushbar);
				}
				return;
		}
	}
	
	
	
	%c.chatMessage("<color:000000>-----\c7Decommissioned Police Interceptor \c8- \c6Vehicle Edit Helper<color:000000>-----");
	%c.chatMessage("    <color:888888>Usage: <color:5555FF>/veh __ \c6with one of the words below.");
	%c.chatMessage("        <color:5555FF>Livery \c8- \c6View alternate paint schemes.");
		%c.chatMessage("        <color:5555FF>Options \c8- \c6View optional parts.");
	if(!%veh.prohibitPaint)
		%c.chatMessage("        <color:5555FF>Color \c8- \c6View factory paint colors.");
	if(isObject(%c.player) && %c.player.isMounted() && %c.player.getMountNode() == 0)
		%c.chatMessage("        <color:5555FF>Hood \c8- \c6Pop the hood.");
}