package setNodeColorLimiterPackage
{
	function Vehicle::setNodeColor(%this, %node, %color)
	{
		if(%node $= "ALL" && %this.prohibitPaint)
		{
			return;
		}
		//paintableNodes is a string on the vehicle defining which nodes can be painted.
		if(%node $= "ALL" && getWordCount(%nodes = %this.dataBlock.paintableNodes) > 0)
		{			
			%count = getWordCount(%nodes);
			for(%i = 0; %i < %count; %i++)
			{
				%target = getWord(%nodes, %i);
				
				//If "ALL" is in paintableNodes, this would loop and crash, so check for it first
				if(%target !$= "ALL")
					%this.setNodeColor(%target, %color);
			}
		}
		else
		{
			return parent::setNodeColor(%this,%node,%color);
		}
	}
};
activatepackage(setNodeColorLimiterPackage);