function CrownVicTaxivehicle::onDriverEnter(%this, %veh)
{	
	CrownVicLXvehicle::onDriverEnter(%this, %veh);
	if(%veh.toplightType == 1)
	{
		%veh.hidenode(toplightB0);
		%veh.unhidenode(toplightB1);
	}
	else
	{
		%veh.hidenode(toplightA0);
		%veh.unhidenode(toplightA1);
	}
}

function CrownVicTaxivehicle::onDriverLeave(%this, %veh)
{		
	CrownVicLXvehicle::onDriverLeave(%this, %veh);
	if(%veh.toplightType == 1)
	{
		%veh.unhidenode(toplightB0);
		%veh.hidenode(toplightB1);
	}
	else
	{
		%veh.unhidenode(toplightA0);
		%veh.hidenode(toplightA1);
	}
}

function CrownVicTaxivehicle::onRemove(%this, %veh)
{
	%veh.removeMountedLightBot(4);
}

function CrownVicTaxivehicle::SpeedCheck(%this, %veh)
{
	CrownVicLXvehicle::SpeedCheck(%this, %veh);
}

package CrownVicTaxiPackage
{
	function CrownVicTaxiVehicle::onAdd(%this, %veh)
	{
		CrownVicLXvehicle::onAdd(%this, %veh);

		%veh.advert = getRandom(1, %this.numAdverts);
		%veh.setNodeColor(advert @ %veh.advert, "0 1 0 1");
		if(getRandom() > 0.8)
		{
			%veh.toplightType = 0;
			%veh.unhideNode(toplightA);
			%veh.unhideNode(toplightA0);
			%veh.hideNode(toplightA1);
			%veh.hidenode(toplightB);
			%veh.hidenode(toplightB0);
			%veh.hidenode(toplightB1);
		}
		else
		{
			%veh.toplightType = 1;
			%veh.unhidenode(advert @ %veh.advert);
			%veh.unhidenode(toplightB);
			%veh.unhidenode(toplightB0);
			%veh.hideNode(toplightB1);
			%veh.hidenode(toplightA);
			%veh.hidenode(toplightA0);
			%veh.hidenode(toplightA1);
		}

		colorNodeString(%veh, "toplightA1 toplightB1", "1 0.65 0 1");
		%veh.setNodeColor("ALL", "1 0.65 0 1");
		%veh.prohibitPaint = true;

		if(getRandom() > 0.8)
		{
			%veh.bumperColor = 1;
			%veh.setNodeColor(bumper0, "0.07 0.07 0.07 1");
			%veh.setNodeColor(bumper1, "0.07 0.07 0.07 1");
		}
	}
};
activatepackage(CrownVicTaxiPackage);